require maps no longer supported at browserify/lib/wrap.js:410:15? #251

Closed
jiewmeng opened this Issue Dec 11, 2012 · 1 comment

Projects

None yet

2 participants

@jiewmeng

I am getting

Error: require maps no longer supported
    at Function.Wrap.require (/labs/Projects/Nodebook/node_modules/browserify/lib/wrap.js:410:15)
    at Function.module.exports.Object.keys.forEach.self.(anonymous function) [as require] (/labs/Projects/Nodebook/node_modules/browserify/index.js:158:28)
    at module.exports (/labs/Projects/Nodebook/node_modules/jadeify/index.js:53:16)
    at Function.Wrap.use (/labs/Projects/Nodebook/node_modules/browserify/lib/wrap.js:105:5)
    at Function.module.exports.Object.keys.forEach.self.(anonymous function) [as use] (/labs/Projects/Nodebook/node_modules/browserify/index.js:158:28)
    at Object.<anonymous> (/labs/Projects/Nodebook/server.coffee:55:25)
    at Object.<anonymous> (/labs/Projects/Nodebook/server.coffee:63:4)
    at Module._compile (module.js:449:26)
    at Object.exports.run (/usr/lib/node_modules/coffee-script/lib/coffee-script/coffee-script.js:83:25)
    at compileScript (/usr/lib/node_modules/coffee-script/lib/coffee-script/command.js:177:29)

I am trying to use jadeify. So I have something like:

server.coffee (using ExpressJS)

browserify = require "browserify"
jadeify = require "jadeify"

bundle = browserify()
    .use(jadeify(__dirname + "/client/jade/templates"))
    .addEntry(__dirname + "/public/js/app/main.js")
app.use bundle

Then in main.coffee (client side, compiles to /public/js/app/main.js)

$ = require "jquery"
jadeify = require "jadeify"

html = jadeify "test.jade", 
    title: "Hello World"
console.log html

Looking at the source, its actually an error thrown, so how do I actually fix it?

@substack
Owner

middleware is gone in v2, require maps have been gone for a long time, and I haven't used jadeify in 2 years.

@substack substack closed this Feb 22, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment